# 5. API Reference | UFMODEventParameterTrack

This documentation is preliminary and is subject to change.

This class inherits from UMovieSceneNameableTrack.

Properties:

Private:

- UFMODEventParameterTrack::Sections

Methods:

Public:

- UFMODEventParameterTrack::CreateTemplateForSection
- UFMODEventParameterTrack::CreateNewSection
- UFMODEventParameterTrack::RemoveAllAnimationData
- UFMODEventParameterTrack::HasSection
- UFMODEventParameterTrack::AddSection
- UFMODEventParameterTrack::RemoveSection
- UFMODEventParameterTrack::IsEmpty
- UFMODEventParameterTrack::GetAllSections
- UFMODEventParameterTrack::GetDefaultDisplayName
- UFMODEventParameterTrack::AddParameterKey